import pygame
import level_manager
import newenemy
pygame.mixer.init()
pygame.init()

infoObject = pygame.display.Info()

win = pygame.display.set_mode((1500, 700))

clock = pygame.time.Clock()

running = True
ship = pygame.image.load("images\\Ship.png")
enemy = pygame.image.load("images\\enemy.png")

crosshair = pygame.image.load("images\\Crosshair.png")
img_list = {}
img_list["ship"] = pygame.transform.scale(ship,(100,100))
img_list["enemy"] = pygame.transform.scale(enemy,(100,100))

#img_list["Station"] = pygame.image.load("images\\Space_station.png")
img_list["Crosshair"] = pygame.image.load("images\\Crosshair.png")
img_list["astronaut"] = pygame.image.load("images\\astronaut.png")
img_list["speed_pickup"] = pygame.image.load("images\\Speed_up.png")
img_list["inv_pickup"] = pygame.image.load("images\\Invincibility.png")






l = level_manager.Level_Manager(img_list,win)


while running:
    # Update
    delta_time = clock.tick() / 1000
    l.update(delta_time)
    # Input
    event = pygame.event.poll()
    keys = pygame.key.get_pressed()
    if event.type == pygame.QUIT:
         running = False
    elif event.type == pygame.KEYDOWN:
        if event.key == pygame.K_ESCAPE:
            running = False

    l.input(event,keys)
    # Draw

    win.fill((0,0,0))
    l.draw(win)
    pygame.display.flip()

pygame.quit()